Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## dks.src.textureEditor
Enum ETypeLayer

    java.lang.Object
      java.lang.Enum<ETypeLayer>
          dks.src.textureEditor.ETypeLayer

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ETypeLayer>

    public enum ETypeLayer

extends java.lang.Enum<ETypeLayer>

Represents the different type of layer :

- Colored : it's a monocolor unified layer
- Gradient : it's a gradient layer
- Image : it's a picture layer
  date : 4 sept. 07

  Author:
    DarK Sidious

  Enum Constant Summary
  `ColoredLayer`
  `GradientLayer`
  `ImageLayer`

  Method Summary
  `static ETypeLayer` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
  `static ETypeLayer[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

  Methods inherited from class java.lang.Enum
  `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  Methods inherited from class java.lang.Object
  `getClass, notify, notifyAll, wait, wait, wait`

  Enum Constant Detail

  ### ColoredLayer

      public static final ETypeLayer ColoredLayer

  ### GradientLayer

      public static final ETypeLayer GradientLayer

  ### ImageLayer

      public static final ETypeLayer ImageLayer

  Method Detail

  ### values

      public static ETypeLayer[] values()

    Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

        for (ETypeLayer c : ETypeLayer.values())
            System.out.println(c);

    Returns:
      an array containing the constants of this enum type, in the order they are declared

  ### valueOf

      public static ETypeLayer valueOf(java.lang.String name)

    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null

  Overview | Package | Class | Use | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD